<?php

namespace FiloBlu\Esb\Model\Producer;

use FiloBlu\Esb\Api\Data\MessageInterface;
use FiloBlu\Esb\Api\Data\RmaProducerInterface;
use FiloBlu\Esb\Framework\Producer\AbstractProducer;
use Magento\Rma\Api\Data\RmaInterface;

/**
 * Class AbstractOrderProducer
 * @package FiloBlu\Esb\Model\Producer
 */
abstract class AbstractRmaProducer extends AbstractProducer implements RmaProducerInterface
{
    /**
     * @inheritDoc
     */
    abstract public function produce(RmaInterface $rma = null) : MessageInterface;
}
